/* popUp multiPlane ground attack. V0.06.05 2008/01/13                      */
/* Copyright  2008 Author: Valerio Messina I-EFAA http://users.iol.it/efa  */
/* comType.h interface to reference common type and data.                   */
/* This file is part of PopUp.
   PopUp is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   PopUp is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.          */

#ifndef _INCcomTypeh
#define _INCcomTypeh

#include "stdbool.h"

#define OK            0
#define ERROR        -1
#define WARN         -2
#define DEBUG        -3

#define PRINTOFF      0
#define PRINTERROR    1
#define PRINTWARN     2
#define PRINTBATCH    3
#define PRINTF        4
#define PRINTDEBUG    5
#define PRINTVERBOSE  6
#define PRINTALL      7

typedef bool               bit;
typedef unsigned char      u08;
typedef   signed short int s16;
typedef unsigned short int u16;

typedef signed int errOk;

#endif /* _INCcomTypeh */
